%define dist X11-GUITest
Name: perl-%dist
Version: 0.21
Release: alt2

Summary: Collection of functions for X11 GUI testing/interaction
License: GPL
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Tue Dec 16 2008
BuildRequires: libXext-devel libXt-devel libXtst-devel perl-devel xorg-inputproto-devel

%description
This Perl package is intended to facilitate the testing of GUI
applications by means of user emulation.  It can be used to
test/interact with GUI applications; which have been built upon
the X library or toolkits (i.e., GTK+, Xt, Qt, Motif, etc.) that
"wrap" the X library's functionality.

%prep
%setup -q -n %dist-%version
%patch -p1

# append documentation
{ echo; podselect GUITest.xs; echo '=cut'; } >>GUITest.pm

%build
%def_without test
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc docs/Changes docs/ToDo
%perl_vendor_archlib/X11*
%perl_vendor_autolib/X11*

%changelog
* Tue Dec 16 2008 Alexey Tourbin <at@altlinux.ru> 0.21-alt2
- updated BuildRequires

* Mon May 22 2006 Alexey Tourbin <at@altlinux.ru> 0.21-alt1
- 0.20 -> 0.21
- all patches merged upstream (cpan #13682, #13684)

* Thu Jul 14 2005 Alexey Tourbin <at@altlinux.ru> 0.20-alt1
- initial revision
- License: GPL
- cvs-20041024.patch
- XK_Alt_L.patch: fall back to XK_Meta_L (cpan #13682)
- StartApp.patch: more accurate application startup (cpan #13684)
